import { isServer } from './chunk-ZVWX56RU.mjs';

// src/isSlowConnection.ts
function isSlowConnection() {
  if (isServer()) {
    return;
  }
  const cn = navigator.connection;
  if (cn && (cn.saveData || /2g/.test(cn.effectiveType))) {
    return true;
  }
  return false;
}

export { isSlowConnection };
